// SPDX-License-Identifier: MIT
package com.cdp4j.session;

import static com.cdp4j.session.Domain.Accessibility;
import static com.cdp4j.session.Domain.Animation;
import static com.cdp4j.session.Domain.Audits;
import static com.cdp4j.session.Domain.Autofill;
import static com.cdp4j.session.Domain.BackgroundService;
import static com.cdp4j.session.Domain.BluetoothEmulation;
import static com.cdp4j.session.Domain.Browser;
import static com.cdp4j.session.Domain.CSS;
import static com.cdp4j.session.Domain.CacheStorage;
import static com.cdp4j.session.Domain.Cast;
import static com.cdp4j.session.Domain.Console;
import static com.cdp4j.session.Domain.CustomCommand;
import static com.cdp4j.session.Domain.DOM;
import static com.cdp4j.session.Domain.DOMDebugger;
import static com.cdp4j.session.Domain.DOMSnapshot;
import static com.cdp4j.session.Domain.DOMStorage;
import static com.cdp4j.session.Domain.Debugger;
import static com.cdp4j.session.Domain.DeviceAccess;
import static com.cdp4j.session.Domain.DeviceOrientation;
import static com.cdp4j.session.Domain.Emulation;
import static com.cdp4j.session.Domain.EventBreakpoints;
import static com.cdp4j.session.Domain.Extensions;
import static com.cdp4j.session.Domain.FedCm;
import static com.cdp4j.session.Domain.Fetch;
import static com.cdp4j.session.Domain.FileSystem;
import static com.cdp4j.session.Domain.HeadlessExperimental;
import static com.cdp4j.session.Domain.HeapProfiler;
import static com.cdp4j.session.Domain.IO;
import static com.cdp4j.session.Domain.IndexedDB;
import static com.cdp4j.session.Domain.Input;
import static com.cdp4j.session.Domain.Inspector;
import static com.cdp4j.session.Domain.LayerTree;
import static com.cdp4j.session.Domain.Log;
import static com.cdp4j.session.Domain.Media;
import static com.cdp4j.session.Domain.Memory;
import static com.cdp4j.session.Domain.Network;
import static com.cdp4j.session.Domain.Overlay;
import static com.cdp4j.session.Domain.PWA;
import static com.cdp4j.session.Domain.Page;
import static com.cdp4j.session.Domain.Performance;
import static com.cdp4j.session.Domain.PerformanceTimeline;
import static com.cdp4j.session.Domain.Preload;
import static com.cdp4j.session.Domain.Profiler;
import static com.cdp4j.session.Domain.Runtime;
import static com.cdp4j.session.Domain.Schema;
import static com.cdp4j.session.Domain.Security;
import static com.cdp4j.session.Domain.ServiceWorker;
import static com.cdp4j.session.Domain.Storage;
import static com.cdp4j.session.Domain.SystemInfo;
import static com.cdp4j.session.Domain.Target;
import static com.cdp4j.session.Domain.Tethering;
import static com.cdp4j.session.Domain.Tracing;
import static com.cdp4j.session.Domain.WebAudio;
import static com.cdp4j.session.Domain.WebAuthn;

public enum DomainCommand {
    Accessibility_disable(Accessibility, "disable"),
    Accessibility_enable(Accessibility, "enable"),
    Accessibility_getAXNodeAndAncestors(Accessibility, "getAXNodeAndAncestors"),
    Accessibility_getChildAXNodes(Accessibility, "getChildAXNodes"),
    Accessibility_getFullAXTree(Accessibility, "getFullAXTree"),
    Accessibility_getPartialAXTree(Accessibility, "getPartialAXTree"),
    Accessibility_getRootAXNode(Accessibility, "getRootAXNode"),
    Accessibility_queryAXTree(Accessibility, "queryAXTree"),
    Animation_disable(Animation, "disable"),
    Animation_enable(Animation, "enable"),
    Animation_getCurrentTime(Animation, "getCurrentTime"),
    Animation_getPlaybackRate(Animation, "getPlaybackRate"),
    Animation_releaseAnimations(Animation, "releaseAnimations"),
    Animation_resolveAnimation(Animation, "resolveAnimation"),
    Animation_seekAnimations(Animation, "seekAnimations"),
    Animation_setPaused(Animation, "setPaused"),
    Animation_setPlaybackRate(Animation, "setPlaybackRate"),
    Animation_setTiming(Animation, "setTiming"),
    Audits_checkContrast(Audits, "checkContrast"),
    Audits_checkFormsIssues(Audits, "checkFormsIssues"),
    Audits_disable(Audits, "disable"),
    Audits_enable(Audits, "enable"),
    Audits_getEncodedResponse(Audits, "getEncodedResponse"),
    Autofill_disable(Autofill, "disable"),
    Autofill_enable(Autofill, "enable"),
    Autofill_setAddresses(Autofill, "setAddresses"),
    Autofill_trigger(Autofill, "trigger"),
    BackgroundService_clearEvents(BackgroundService, "clearEvents"),
    BackgroundService_setRecording(BackgroundService, "setRecording"),
    BackgroundService_startObserving(BackgroundService, "startObserving"),
    BackgroundService_stopObserving(BackgroundService, "stopObserving"),
    BluetoothEmulation_disable(BluetoothEmulation, "disable"),
    BluetoothEmulation_enable(BluetoothEmulation, "enable"),
    BluetoothEmulation_simulateAdvertisement(BluetoothEmulation, "simulateAdvertisement"),
    BluetoothEmulation_simulatePreconnectedPeripheral(BluetoothEmulation, "simulatePreconnectedPeripheral"),
    Browser_addPrivacySandboxEnrollmentOverride(Browser, "addPrivacySandboxEnrollmentOverride"),
    Browser_cancelDownload(Browser, "cancelDownload"),
    Browser_close(Browser, "close"),
    Browser_crash(Browser, "crash"),
    Browser_crashGpuProcess(Browser, "crashGpuProcess"),
    Browser_executeBrowserCommand(Browser, "executeBrowserCommand"),
    Browser_getBrowserCommandLine(Browser, "getBrowserCommandLine"),
    Browser_getHistogram(Browser, "getHistogram"),
    Browser_getHistograms(Browser, "getHistograms"),
    Browser_getVersion(Browser, "getVersion"),
    Browser_getWindowBounds(Browser, "getWindowBounds"),
    Browser_getWindowForTarget(Browser, "getWindowForTarget"),
    Browser_grantPermissions(Browser, "grantPermissions"),
    Browser_resetPermissions(Browser, "resetPermissions"),
    Browser_setDockTile(Browser, "setDockTile"),
    Browser_setDownloadBehavior(Browser, "setDownloadBehavior"),
    Browser_setPermission(Browser, "setPermission"),
    Browser_setWindowBounds(Browser, "setWindowBounds"),
    CSS_addRule(CSS, "addRule"),
    CSS_collectClassNames(CSS, "collectClassNames"),
    CSS_createStyleSheet(CSS, "createStyleSheet"),
    CSS_disable(CSS, "disable"),
    CSS_enable(CSS, "enable"),
    CSS_forcePseudoState(CSS, "forcePseudoState"),
    CSS_forceStartingStyle(CSS, "forceStartingStyle"),
    CSS_getAnimatedStylesForNode(CSS, "getAnimatedStylesForNode"),
    CSS_getBackgroundColors(CSS, "getBackgroundColors"),
    CSS_getComputedStyleForNode(CSS, "getComputedStyleForNode"),
    CSS_getInlineStylesForNode(CSS, "getInlineStylesForNode"),
    CSS_getLayersForNode(CSS, "getLayersForNode"),
    CSS_getLocationForSelector(CSS, "getLocationForSelector"),
    CSS_getLonghandProperties(CSS, "getLonghandProperties"),
    CSS_getMatchedStylesForNode(CSS, "getMatchedStylesForNode"),
    CSS_getMediaQueries(CSS, "getMediaQueries"),
    CSS_getPlatformFontsForNode(CSS, "getPlatformFontsForNode"),
    CSS_getStyleSheetText(CSS, "getStyleSheetText"),
    CSS_resolveValues(CSS, "resolveValues"),
    CSS_setContainerQueryText(CSS, "setContainerQueryText"),
    CSS_setEffectivePropertyValueForNode(CSS, "setEffectivePropertyValueForNode"),
    CSS_setKeyframeKey(CSS, "setKeyframeKey"),
    CSS_setLocalFontsEnabled(CSS, "setLocalFontsEnabled"),
    CSS_setMediaText(CSS, "setMediaText"),
    CSS_setPropertyRulePropertyName(CSS, "setPropertyRulePropertyName"),
    CSS_setRuleSelector(CSS, "setRuleSelector"),
    CSS_setScopeText(CSS, "setScopeText"),
    CSS_setStyleSheetText(CSS, "setStyleSheetText"),
    CSS_setStyleTexts(CSS, "setStyleTexts"),
    CSS_setSupportsText(CSS, "setSupportsText"),
    CSS_startRuleUsageTracking(CSS, "startRuleUsageTracking"),
    CSS_stopRuleUsageTracking(CSS, "stopRuleUsageTracking"),
    CSS_takeComputedStyleUpdates(CSS, "takeComputedStyleUpdates"),
    CSS_takeCoverageDelta(CSS, "takeCoverageDelta"),
    CSS_trackComputedStyleUpdates(CSS, "trackComputedStyleUpdates"),
    CSS_trackComputedStyleUpdatesForNode(CSS, "trackComputedStyleUpdatesForNode"),
    CacheStorage_deleteCache(CacheStorage, "deleteCache"),
    CacheStorage_deleteEntry(CacheStorage, "deleteEntry"),
    CacheStorage_requestCacheNames(CacheStorage, "requestCacheNames"),
    CacheStorage_requestCachedResponse(CacheStorage, "requestCachedResponse"),
    CacheStorage_requestEntries(CacheStorage, "requestEntries"),
    Cast_disable(Cast, "disable"),
    Cast_enable(Cast, "enable"),
    Cast_setSinkToUse(Cast, "setSinkToUse"),
    Cast_startDesktopMirroring(Cast, "startDesktopMirroring"),
    Cast_startTabMirroring(Cast, "startTabMirroring"),
    Cast_stopCasting(Cast, "stopCasting"),
    Console_clearMessages(Console, "clearMessages"),
    Console_disable(Console, "disable"),
    Console_enable(Console, "enable"),
    CustomCommand_getSnapshot(CustomCommand, "getSnapshot"),
    DOM_collectClassNamesFromSubtree(DOM, "collectClassNamesFromSubtree"),
    DOM_copyTo(DOM, "copyTo"),
    DOM_describeNode(DOM, "describeNode"),
    DOM_disable(DOM, "disable"),
    DOM_discardSearchResults(DOM, "discardSearchResults"),
    DOM_enable(DOM, "enable"),
    DOM_focus(DOM, "focus"),
    DOM_getAnchorElement(DOM, "getAnchorElement"),
    DOM_getAttributes(DOM, "getAttributes"),
    DOM_getBoxModel(DOM, "getBoxModel"),
    DOM_getContainerForNode(DOM, "getContainerForNode"),
    DOM_getContentQuads(DOM, "getContentQuads"),
    DOM_getDetachedDomNodes(DOM, "getDetachedDomNodes"),
    DOM_getDocument(DOM, "getDocument"),
    DOM_getElementByRelation(DOM, "getElementByRelation"),
    DOM_getFileInfo(DOM, "getFileInfo"),
    DOM_getFlattenedDocument(DOM, "getFlattenedDocument"),
    DOM_getFrameOwner(DOM, "getFrameOwner"),
    DOM_getNodeForLocation(DOM, "getNodeForLocation"),
    DOM_getNodeStackTraces(DOM, "getNodeStackTraces"),
    DOM_getNodesForSubtreeByStyle(DOM, "getNodesForSubtreeByStyle"),
    DOM_getOuterHTML(DOM, "getOuterHTML"),
    DOM_getQueryingDescendantsForContainer(DOM, "getQueryingDescendantsForContainer"),
    DOM_getRelayoutBoundary(DOM, "getRelayoutBoundary"),
    DOM_getSearchResults(DOM, "getSearchResults"),
    DOM_getTopLayerElements(DOM, "getTopLayerElements"),
    DOM_hideHighlight(DOM, "hideHighlight"),
    DOM_highlightNode(DOM, "highlightNode"),
    DOM_highlightRect(DOM, "highlightRect"),
    DOM_markUndoableState(DOM, "markUndoableState"),
    DOM_moveTo(DOM, "moveTo"),
    DOM_performSearch(DOM, "performSearch"),
    DOM_pushNodeByPathToFrontend(DOM, "pushNodeByPathToFrontend"),
    DOM_pushNodesByBackendIdsToFrontend(DOM, "pushNodesByBackendIdsToFrontend"),
    DOM_querySelector(DOM, "querySelector"),
    DOM_querySelectorAll(DOM, "querySelectorAll"),
    DOM_redo(DOM, "redo"),
    DOM_removeAttribute(DOM, "removeAttribute"),
    DOM_removeNode(DOM, "removeNode"),
    DOM_requestChildNodes(DOM, "requestChildNodes"),
    DOM_requestNode(DOM, "requestNode"),
    DOM_resolveNode(DOM, "resolveNode"),
    DOM_scrollIntoViewIfNeeded(DOM, "scrollIntoViewIfNeeded"),
    DOM_setAttributeValue(DOM, "setAttributeValue"),
    DOM_setAttributesAsText(DOM, "setAttributesAsText"),
    DOM_setFileInputFiles(DOM, "setFileInputFiles"),
    DOM_setInspectedNode(DOM, "setInspectedNode"),
    DOM_setNodeName(DOM, "setNodeName"),
    DOM_setNodeStackTracesEnabled(DOM, "setNodeStackTracesEnabled"),
    DOM_setNodeValue(DOM, "setNodeValue"),
    DOM_setOuterHTML(DOM, "setOuterHTML"),
    DOM_undo(DOM, "undo"),
    DOMDebugger_getEventListeners(DOMDebugger, "getEventListeners"),
    DOMDebugger_removeDOMBreakpoint(DOMDebugger, "removeDOMBreakpoint"),
    DOMDebugger_removeEventListenerBreakpoint(DOMDebugger, "removeEventListenerBreakpoint"),
    DOMDebugger_removeInstrumentationBreakpoint(DOMDebugger, "removeInstrumentationBreakpoint"),
    DOMDebugger_removeXHRBreakpoint(DOMDebugger, "removeXHRBreakpoint"),
    DOMDebugger_setBreakOnCSPViolation(DOMDebugger, "setBreakOnCSPViolation"),
    DOMDebugger_setDOMBreakpoint(DOMDebugger, "setDOMBreakpoint"),
    DOMDebugger_setEventListenerBreakpoint(DOMDebugger, "setEventListenerBreakpoint"),
    DOMDebugger_setInstrumentationBreakpoint(DOMDebugger, "setInstrumentationBreakpoint"),
    DOMDebugger_setXHRBreakpoint(DOMDebugger, "setXHRBreakpoint"),
    DOMSnapshot_captureSnapshot(DOMSnapshot, "captureSnapshot"),
    DOMSnapshot_disable(DOMSnapshot, "disable"),
    DOMSnapshot_enable(DOMSnapshot, "enable"),
    DOMSnapshot_getSnapshot(DOMSnapshot, "getSnapshot"),
    DOMStorage_clear(DOMStorage, "clear"),
    DOMStorage_disable(DOMStorage, "disable"),
    DOMStorage_enable(DOMStorage, "enable"),
    DOMStorage_getDOMStorageItems(DOMStorage, "getDOMStorageItems"),
    DOMStorage_removeDOMStorageItem(DOMStorage, "removeDOMStorageItem"),
    DOMStorage_setDOMStorageItem(DOMStorage, "setDOMStorageItem"),
    Debugger_continueToLocation(Debugger, "continueToLocation"),
    Debugger_disable(Debugger, "disable"),
    Debugger_disassembleWasmModule(Debugger, "disassembleWasmModule"),
    Debugger_enable(Debugger, "enable"),
    Debugger_evaluateOnCallFrame(Debugger, "evaluateOnCallFrame"),
    Debugger_getPossibleBreakpoints(Debugger, "getPossibleBreakpoints"),
    Debugger_getScriptSource(Debugger, "getScriptSource"),
    Debugger_getStackTrace(Debugger, "getStackTrace"),
    Debugger_getWasmBytecode(Debugger, "getWasmBytecode"),
    Debugger_nextWasmDisassemblyChunk(Debugger, "nextWasmDisassemblyChunk"),
    Debugger_pause(Debugger, "pause"),
    Debugger_pauseOnAsyncCall(Debugger, "pauseOnAsyncCall"),
    Debugger_removeBreakpoint(Debugger, "removeBreakpoint"),
    Debugger_restartFrame(Debugger, "restartFrame"),
    Debugger_resume(Debugger, "resume"),
    Debugger_searchInContent(Debugger, "searchInContent"),
    Debugger_setAsyncCallStackDepth(Debugger, "setAsyncCallStackDepth"),
    Debugger_setBlackboxExecutionContexts(Debugger, "setBlackboxExecutionContexts"),
    Debugger_setBlackboxPatterns(Debugger, "setBlackboxPatterns"),
    Debugger_setBlackboxedRanges(Debugger, "setBlackboxedRanges"),
    Debugger_setBreakpoint(Debugger, "setBreakpoint"),
    Debugger_setBreakpointByUrl(Debugger, "setBreakpointByUrl"),
    Debugger_setBreakpointOnFunctionCall(Debugger, "setBreakpointOnFunctionCall"),
    Debugger_setBreakpointsActive(Debugger, "setBreakpointsActive"),
    Debugger_setInstrumentationBreakpoint(Debugger, "setInstrumentationBreakpoint"),
    Debugger_setPauseOnExceptions(Debugger, "setPauseOnExceptions"),
    Debugger_setReturnValue(Debugger, "setReturnValue"),
    Debugger_setScriptSource(Debugger, "setScriptSource"),
    Debugger_setSkipAllPauses(Debugger, "setSkipAllPauses"),
    Debugger_setVariableValue(Debugger, "setVariableValue"),
    Debugger_stepInto(Debugger, "stepInto"),
    Debugger_stepOut(Debugger, "stepOut"),
    Debugger_stepOver(Debugger, "stepOver"),
    DeviceAccess_cancelPrompt(DeviceAccess, "cancelPrompt"),
    DeviceAccess_disable(DeviceAccess, "disable"),
    DeviceAccess_enable(DeviceAccess, "enable"),
    DeviceAccess_selectPrompt(DeviceAccess, "selectPrompt"),
    DeviceOrientation_clearDeviceOrientationOverride(DeviceOrientation, "clearDeviceOrientationOverride"),
    DeviceOrientation_setDeviceOrientationOverride(DeviceOrientation, "setDeviceOrientationOverride"),
    Emulation_canEmulate(Emulation, "canEmulate"),
    Emulation_clearDeviceMetricsOverride(Emulation, "clearDeviceMetricsOverride"),
    Emulation_clearDevicePostureOverride(Emulation, "clearDevicePostureOverride"),
    Emulation_clearGeolocationOverride(Emulation, "clearGeolocationOverride"),
    Emulation_clearIdleOverride(Emulation, "clearIdleOverride"),
    Emulation_getOverriddenSensorInformation(Emulation, "getOverriddenSensorInformation"),
    Emulation_resetPageScaleFactor(Emulation, "resetPageScaleFactor"),
    Emulation_setAutoDarkModeOverride(Emulation, "setAutoDarkModeOverride"),
    Emulation_setAutomationOverride(Emulation, "setAutomationOverride"),
    Emulation_setCPUThrottlingRate(Emulation, "setCPUThrottlingRate"),
    Emulation_setDefaultBackgroundColorOverride(Emulation, "setDefaultBackgroundColorOverride"),
    Emulation_setDeviceMetricsOverride(Emulation, "setDeviceMetricsOverride"),
    Emulation_setDevicePostureOverride(Emulation, "setDevicePostureOverride"),
    Emulation_setDisabledImageTypes(Emulation, "setDisabledImageTypes"),
    Emulation_setDocumentCookieDisabled(Emulation, "setDocumentCookieDisabled"),
    Emulation_setEmitTouchEventsForMouse(Emulation, "setEmitTouchEventsForMouse"),
    Emulation_setEmulatedMedia(Emulation, "setEmulatedMedia"),
    Emulation_setEmulatedVisionDeficiency(Emulation, "setEmulatedVisionDeficiency"),
    Emulation_setFocusEmulationEnabled(Emulation, "setFocusEmulationEnabled"),
    Emulation_setGeolocationOverride(Emulation, "setGeolocationOverride"),
    Emulation_setHardwareConcurrencyOverride(Emulation, "setHardwareConcurrencyOverride"),
    Emulation_setIdleOverride(Emulation, "setIdleOverride"),
    Emulation_setLocaleOverride(Emulation, "setLocaleOverride"),
    Emulation_setNavigatorOverrides(Emulation, "setNavigatorOverrides"),
    Emulation_setPageScaleFactor(Emulation, "setPageScaleFactor"),
    Emulation_setPressureSourceOverrideEnabled(Emulation, "setPressureSourceOverrideEnabled"),
    Emulation_setPressureStateOverride(Emulation, "setPressureStateOverride"),
    Emulation_setScriptExecutionDisabled(Emulation, "setScriptExecutionDisabled"),
    Emulation_setScrollbarsHidden(Emulation, "setScrollbarsHidden"),
    Emulation_setSensorOverrideEnabled(Emulation, "setSensorOverrideEnabled"),
    Emulation_setSensorOverrideReadings(Emulation, "setSensorOverrideReadings"),
    Emulation_setTimezoneOverride(Emulation, "setTimezoneOverride"),
    Emulation_setTouchEmulationEnabled(Emulation, "setTouchEmulationEnabled"),
    Emulation_setUserAgentOverride(Emulation, "setUserAgentOverride"),
    Emulation_setVirtualTimePolicy(Emulation, "setVirtualTimePolicy"),
    Emulation_setVisibleSize(Emulation, "setVisibleSize"),
    EventBreakpoints_disable(EventBreakpoints, "disable"),
    EventBreakpoints_removeInstrumentationBreakpoint(EventBreakpoints, "removeInstrumentationBreakpoint"),
    EventBreakpoints_setInstrumentationBreakpoint(EventBreakpoints, "setInstrumentationBreakpoint"),
    Extensions_clearStorageItems(Extensions, "clearStorageItems"),
    Extensions_loadUnpacked(Extensions, "loadUnpacked"),
    Extensions_removeStorageItems(Extensions, "removeStorageItems"),
    Extensions_setStorageItems(Extensions, "setStorageItems"),
    Extensions_uninstall(Extensions, "uninstall"),
    FedCm_clickDialogButton(FedCm, "clickDialogButton"),
    FedCm_disable(FedCm, "disable"),
    FedCm_dismissDialog(FedCm, "dismissDialog"),
    FedCm_enable(FedCm, "enable"),
    FedCm_openUrl(FedCm, "openUrl"),
    FedCm_resetCooldown(FedCm, "resetCooldown"),
    FedCm_selectAccount(FedCm, "selectAccount"),
    Fetch_continueRequest(Fetch, "continueRequest"),
    Fetch_continueResponse(Fetch, "continueResponse"),
    Fetch_continueWithAuth(Fetch, "continueWithAuth"),
    Fetch_disable(Fetch, "disable"),
    Fetch_enable(Fetch, "enable"),
    Fetch_failRequest(Fetch, "failRequest"),
    Fetch_fulfillRequest(Fetch, "fulfillRequest"),
    Fetch_getResponseBody(Fetch, "getResponseBody"),
    Fetch_takeResponseBodyAsStream(Fetch, "takeResponseBodyAsStream"),
    FileSystem_getDirectory(FileSystem, "getDirectory"),
    HeadlessExperimental_beginFrame(HeadlessExperimental, "beginFrame"),
    HeadlessExperimental_disable(HeadlessExperimental, "disable"),
    HeadlessExperimental_enable(HeadlessExperimental, "enable"),
    HeapProfiler_addInspectedHeapObject(HeapProfiler, "addInspectedHeapObject"),
    HeapProfiler_collectGarbage(HeapProfiler, "collectGarbage"),
    HeapProfiler_disable(HeapProfiler, "disable"),
    HeapProfiler_enable(HeapProfiler, "enable"),
    HeapProfiler_getHeapObjectId(HeapProfiler, "getHeapObjectId"),
    HeapProfiler_getObjectByHeapObjectId(HeapProfiler, "getObjectByHeapObjectId"),
    HeapProfiler_getSamplingProfile(HeapProfiler, "getSamplingProfile"),
    HeapProfiler_startSampling(HeapProfiler, "startSampling"),
    HeapProfiler_startTrackingHeapObjects(HeapProfiler, "startTrackingHeapObjects"),
    HeapProfiler_stopSampling(HeapProfiler, "stopSampling"),
    HeapProfiler_stopTrackingHeapObjects(HeapProfiler, "stopTrackingHeapObjects"),
    HeapProfiler_takeHeapSnapshot(HeapProfiler, "takeHeapSnapshot"),
    IO_close(IO, "close"),
    IO_read(IO, "read"),
    IO_resolveBlob(IO, "resolveBlob"),
    IndexedDB_clearObjectStore(IndexedDB, "clearObjectStore"),
    IndexedDB_deleteDatabase(IndexedDB, "deleteDatabase"),
    IndexedDB_deleteObjectStoreEntries(IndexedDB, "deleteObjectStoreEntries"),
    IndexedDB_disable(IndexedDB, "disable"),
    IndexedDB_enable(IndexedDB, "enable"),
    IndexedDB_getMetadata(IndexedDB, "getMetadata"),
    IndexedDB_requestData(IndexedDB, "requestData"),
    IndexedDB_requestDatabase(IndexedDB, "requestDatabase"),
    IndexedDB_requestDatabaseNames(IndexedDB, "requestDatabaseNames"),
    Input_cancelDragging(Input, "cancelDragging"),
    Input_dispatchDragEvent(Input, "dispatchDragEvent"),
    Input_dispatchKeyEvent(Input, "dispatchKeyEvent"),
    Input_dispatchMouseEvent(Input, "dispatchMouseEvent"),
    Input_dispatchTouchEvent(Input, "dispatchTouchEvent"),
    Input_emulateTouchFromMouseEvent(Input, "emulateTouchFromMouseEvent"),
    Input_imeSetComposition(Input, "imeSetComposition"),
    Input_insertText(Input, "insertText"),
    Input_setIgnoreInputEvents(Input, "setIgnoreInputEvents"),
    Input_setInterceptDrags(Input, "setInterceptDrags"),
    Input_synthesizePinchGesture(Input, "synthesizePinchGesture"),
    Input_synthesizeScrollGesture(Input, "synthesizeScrollGesture"),
    Input_synthesizeTapGesture(Input, "synthesizeTapGesture"),
    Inspector_disable(Inspector, "disable"),
    Inspector_enable(Inspector, "enable"),
    LayerTree_compositingReasons(LayerTree, "compositingReasons"),
    LayerTree_disable(LayerTree, "disable"),
    LayerTree_enable(LayerTree, "enable"),
    LayerTree_loadSnapshot(LayerTree, "loadSnapshot"),
    LayerTree_makeSnapshot(LayerTree, "makeSnapshot"),
    LayerTree_profileSnapshot(LayerTree, "profileSnapshot"),
    LayerTree_releaseSnapshot(LayerTree, "releaseSnapshot"),
    LayerTree_replaySnapshot(LayerTree, "replaySnapshot"),
    Log_clear(Log, "clear"),
    Log_disable(Log, "disable"),
    Log_enable(Log, "enable"),
    Log_startViolationsReport(Log, "startViolationsReport"),
    Log_stopViolationsReport(Log, "stopViolationsReport"),
    Media_disable(Media, "disable"),
    Media_enable(Media, "enable"),
    Memory_forciblyPurgeJavaScriptMemory(Memory, "forciblyPurgeJavaScriptMemory"),
    Memory_getAllTimeSamplingProfile(Memory, "getAllTimeSamplingProfile"),
    Memory_getBrowserSamplingProfile(Memory, "getBrowserSamplingProfile"),
    Memory_getDOMCounters(Memory, "getDOMCounters"),
    Memory_getDOMCountersForLeakDetection(Memory, "getDOMCountersForLeakDetection"),
    Memory_getSamplingProfile(Memory, "getSamplingProfile"),
    Memory_prepareForLeakDetection(Memory, "prepareForLeakDetection"),
    Memory_setPressureNotificationsSuppressed(Memory, "setPressureNotificationsSuppressed"),
    Memory_simulatePressureNotification(Memory, "simulatePressureNotification"),
    Memory_startSampling(Memory, "startSampling"),
    Memory_stopSampling(Memory, "stopSampling"),
    Network_canClearBrowserCache(Network, "canClearBrowserCache"),
    Network_canClearBrowserCookies(Network, "canClearBrowserCookies"),
    Network_canEmulateNetworkConditions(Network, "canEmulateNetworkConditions"),
    Network_clearAcceptedEncodingsOverride(Network, "clearAcceptedEncodingsOverride"),
    Network_clearBrowserCache(Network, "clearBrowserCache"),
    Network_clearBrowserCookies(Network, "clearBrowserCookies"),
    Network_continueInterceptedRequest(Network, "continueInterceptedRequest"),
    Network_deleteCookies(Network, "deleteCookies"),
    Network_disable(Network, "disable"),
    Network_emulateNetworkConditions(Network, "emulateNetworkConditions"),
    Network_enable(Network, "enable"),
    Network_enableReportingApi(Network, "enableReportingApi"),
    Network_getAllCookies(Network, "getAllCookies"),
    Network_getCertificate(Network, "getCertificate"),
    Network_getCookies(Network, "getCookies"),
    Network_getRequestPostData(Network, "getRequestPostData"),
    Network_getResponseBody(Network, "getResponseBody"),
    Network_getResponseBodyForInterception(Network, "getResponseBodyForInterception"),
    Network_getSecurityIsolationStatus(Network, "getSecurityIsolationStatus"),
    Network_loadNetworkResource(Network, "loadNetworkResource"),
    Network_replayXHR(Network, "replayXHR"),
    Network_searchInResponseBody(Network, "searchInResponseBody"),
    Network_setAcceptedEncodings(Network, "setAcceptedEncodings"),
    Network_setAttachDebugStack(Network, "setAttachDebugStack"),
    Network_setBlockedURLs(Network, "setBlockedURLs"),
    Network_setBypassServiceWorker(Network, "setBypassServiceWorker"),
    Network_setCacheDisabled(Network, "setCacheDisabled"),
    Network_setCookie(Network, "setCookie"),
    Network_setCookieControls(Network, "setCookieControls"),
    Network_setCookies(Network, "setCookies"),
    Network_setExtraHTTPHeaders(Network, "setExtraHTTPHeaders"),
    Network_setRequestInterception(Network, "setRequestInterception"),
    Network_setUserAgentOverride(Network, "setUserAgentOverride"),
    Network_streamResourceContent(Network, "streamResourceContent"),
    Network_takeResponseBodyForInterceptionAsStream(Network, "takeResponseBodyForInterceptionAsStream"),
    Overlay_disable(Overlay, "disable"),
    Overlay_enable(Overlay, "enable"),
    Overlay_hideHighlight(Overlay, "hideHighlight"),
    Overlay_highlightFrame(Overlay, "highlightFrame"),
    Overlay_highlightNode(Overlay, "highlightNode"),
    Overlay_highlightQuad(Overlay, "highlightQuad"),
    Overlay_highlightRect(Overlay, "highlightRect"),
    Overlay_highlightSourceOrder(Overlay, "highlightSourceOrder"),
    Overlay_setInspectMode(Overlay, "setInspectMode"),
    Overlay_setPausedInDebuggerMessage(Overlay, "setPausedInDebuggerMessage"),
    Overlay_setShowAdHighlights(Overlay, "setShowAdHighlights"),
    Overlay_setShowContainerQueryOverlays(Overlay, "setShowContainerQueryOverlays"),
    Overlay_setShowDebugBorders(Overlay, "setShowDebugBorders"),
    Overlay_setShowFPSCounter(Overlay, "setShowFPSCounter"),
    Overlay_setShowFlexOverlays(Overlay, "setShowFlexOverlays"),
    Overlay_setShowGridOverlays(Overlay, "setShowGridOverlays"),
    Overlay_setShowHinge(Overlay, "setShowHinge"),
    Overlay_setShowHitTestBorders(Overlay, "setShowHitTestBorders"),
    Overlay_setShowIsolatedElements(Overlay, "setShowIsolatedElements"),
    Overlay_setShowLayoutShiftRegions(Overlay, "setShowLayoutShiftRegions"),
    Overlay_setShowPaintRects(Overlay, "setShowPaintRects"),
    Overlay_setShowScrollBottleneckRects(Overlay, "setShowScrollBottleneckRects"),
    Overlay_setShowScrollSnapOverlays(Overlay, "setShowScrollSnapOverlays"),
    Overlay_setShowViewportSizeOnResize(Overlay, "setShowViewportSizeOnResize"),
    Overlay_setShowWebVitals(Overlay, "setShowWebVitals"),
    Overlay_setShowWindowControlsOverlay(Overlay, "setShowWindowControlsOverlay"),
    PWA_changeAppUserSettings(PWA, "changeAppUserSettings"),
    PWA_getOsAppState(PWA, "getOsAppState"),
    PWA_install(PWA, "install"),
    PWA_launch(PWA, "launch"),
    PWA_launchFilesInApp(PWA, "launchFilesInApp"),
    PWA_openCurrentPageInApp(PWA, "openCurrentPageInApp"),
    PWA_uninstall(PWA, "uninstall"),
    Page_addCompilationCache(Page, "addCompilationCache"),
    Page_addScriptToEvaluateOnLoad(Page, "addScriptToEvaluateOnLoad"),
    Page_addScriptToEvaluateOnNewDocument(Page, "addScriptToEvaluateOnNewDocument"),
    Page_bringToFront(Page, "bringToFront"),
    Page_captureScreenshot(Page, "captureScreenshot"),
    Page_captureSnapshot(Page, "captureSnapshot"),
    Page_clearCompilationCache(Page, "clearCompilationCache"),
    Page_clearDeviceMetricsOverride(Page, "clearDeviceMetricsOverride"),
    Page_clearDeviceOrientationOverride(Page, "clearDeviceOrientationOverride"),
    Page_clearGeolocationOverride(Page, "clearGeolocationOverride"),
    Page_close(Page, "close"),
    Page_crash(Page, "crash"),
    Page_createIsolatedWorld(Page, "createIsolatedWorld"),
    Page_deleteCookie(Page, "deleteCookie"),
    Page_disable(Page, "disable"),
    Page_enable(Page, "enable"),
    Page_generateTestReport(Page, "generateTestReport"),
    Page_getAdScriptId(Page, "getAdScriptId"),
    Page_getAppId(Page, "getAppId"),
    Page_getAppManifest(Page, "getAppManifest"),
    Page_getFrameTree(Page, "getFrameTree"),
    Page_getInstallabilityErrors(Page, "getInstallabilityErrors"),
    Page_getLayoutMetrics(Page, "getLayoutMetrics"),
    Page_getManifestIcons(Page, "getManifestIcons"),
    Page_getNavigationHistory(Page, "getNavigationHistory"),
    Page_getOriginTrials(Page, "getOriginTrials"),
    Page_getPermissionsPolicyState(Page, "getPermissionsPolicyState"),
    Page_getResourceContent(Page, "getResourceContent"),
    Page_getResourceTree(Page, "getResourceTree"),
    Page_handleJavaScriptDialog(Page, "handleJavaScriptDialog"),
    Page_navigate(Page, "navigate"),
    Page_navigateToHistoryEntry(Page, "navigateToHistoryEntry"),
    Page_printToPDF(Page, "printToPDF"),
    Page_produceCompilationCache(Page, "produceCompilationCache"),
    Page_reload(Page, "reload"),
    Page_removeScriptToEvaluateOnLoad(Page, "removeScriptToEvaluateOnLoad"),
    Page_removeScriptToEvaluateOnNewDocument(Page, "removeScriptToEvaluateOnNewDocument"),
    Page_resetNavigationHistory(Page, "resetNavigationHistory"),
    Page_screencastFrameAck(Page, "screencastFrameAck"),
    Page_searchInResource(Page, "searchInResource"),
    Page_setAdBlockingEnabled(Page, "setAdBlockingEnabled"),
    Page_setBypassCSP(Page, "setBypassCSP"),
    Page_setDeviceMetricsOverride(Page, "setDeviceMetricsOverride"),
    Page_setDeviceOrientationOverride(Page, "setDeviceOrientationOverride"),
    Page_setDocumentContent(Page, "setDocumentContent"),
    Page_setDownloadBehavior(Page, "setDownloadBehavior"),
    Page_setFontFamilies(Page, "setFontFamilies"),
    Page_setFontSizes(Page, "setFontSizes"),
    Page_setGeolocationOverride(Page, "setGeolocationOverride"),
    Page_setInterceptFileChooserDialog(Page, "setInterceptFileChooserDialog"),
    Page_setLifecycleEventsEnabled(Page, "setLifecycleEventsEnabled"),
    Page_setPrerenderingAllowed(Page, "setPrerenderingAllowed"),
    Page_setRPHRegistrationMode(Page, "setRPHRegistrationMode"),
    Page_setSPCTransactionMode(Page, "setSPCTransactionMode"),
    Page_setTouchEmulationEnabled(Page, "setTouchEmulationEnabled"),
    Page_setWebLifecycleState(Page, "setWebLifecycleState"),
    Page_startScreencast(Page, "startScreencast"),
    Page_stopLoading(Page, "stopLoading"),
    Page_stopScreencast(Page, "stopScreencast"),
    Page_waitForDebugger(Page, "waitForDebugger"),
    Performance_disable(Performance, "disable"),
    Performance_enable(Performance, "enable"),
    Performance_getMetrics(Performance, "getMetrics"),
    Performance_setTimeDomain(Performance, "setTimeDomain"),
    PerformanceTimeline_enable(PerformanceTimeline, "enable"),
    Preload_disable(Preload, "disable"),
    Preload_enable(Preload, "enable"),
    Profiler_disable(Profiler, "disable"),
    Profiler_enable(Profiler, "enable"),
    Profiler_getBestEffortCoverage(Profiler, "getBestEffortCoverage"),
    Profiler_setSamplingInterval(Profiler, "setSamplingInterval"),
    Profiler_start(Profiler, "start"),
    Profiler_startPreciseCoverage(Profiler, "startPreciseCoverage"),
    Profiler_stop(Profiler, "stop"),
    Profiler_stopPreciseCoverage(Profiler, "stopPreciseCoverage"),
    Profiler_takePreciseCoverage(Profiler, "takePreciseCoverage"),
    Runtime_addBinding(Runtime, "addBinding"),
    Runtime_awaitPromise(Runtime, "awaitPromise"),
    Runtime_callFunctionOn(Runtime, "callFunctionOn"),
    Runtime_compileScript(Runtime, "compileScript"),
    Runtime_disable(Runtime, "disable"),
    Runtime_discardConsoleEntries(Runtime, "discardConsoleEntries"),
    Runtime_enable(Runtime, "enable"),
    Runtime_evaluate(Runtime, "evaluate"),
    Runtime_getExceptionDetails(Runtime, "getExceptionDetails"),
    Runtime_getHeapUsage(Runtime, "getHeapUsage"),
    Runtime_getIsolateId(Runtime, "getIsolateId"),
    Runtime_getProperties(Runtime, "getProperties"),
    Runtime_globalLexicalScopeNames(Runtime, "globalLexicalScopeNames"),
    Runtime_queryObjects(Runtime, "queryObjects"),
    Runtime_releaseObject(Runtime, "releaseObject"),
    Runtime_releaseObjectGroup(Runtime, "releaseObjectGroup"),
    Runtime_removeBinding(Runtime, "removeBinding"),
    Runtime_runIfWaitingForDebugger(Runtime, "runIfWaitingForDebugger"),
    Runtime_runScript(Runtime, "runScript"),
    Runtime_setAsyncCallStackDepth(Runtime, "setAsyncCallStackDepth"),
    Runtime_setCustomObjectFormatterEnabled(Runtime, "setCustomObjectFormatterEnabled"),
    Runtime_setMaxCallStackSizeToCapture(Runtime, "setMaxCallStackSizeToCapture"),
    Runtime_terminateExecution(Runtime, "terminateExecution"),
    Schema_getDomains(Schema, "getDomains"),
    Security_disable(Security, "disable"),
    Security_enable(Security, "enable"),
    Security_handleCertificateError(Security, "handleCertificateError"),
    Security_setIgnoreCertificateErrors(Security, "setIgnoreCertificateErrors"),
    Security_setOverrideCertificateErrors(Security, "setOverrideCertificateErrors"),
    ServiceWorker_deliverPushMessage(ServiceWorker, "deliverPushMessage"),
    ServiceWorker_disable(ServiceWorker, "disable"),
    ServiceWorker_dispatchPeriodicSyncEvent(ServiceWorker, "dispatchPeriodicSyncEvent"),
    ServiceWorker_dispatchSyncEvent(ServiceWorker, "dispatchSyncEvent"),
    ServiceWorker_enable(ServiceWorker, "enable"),
    ServiceWorker_inspectWorker(ServiceWorker, "inspectWorker"),
    ServiceWorker_setForceUpdateOnPageLoad(ServiceWorker, "setForceUpdateOnPageLoad"),
    ServiceWorker_skipWaiting(ServiceWorker, "skipWaiting"),
    ServiceWorker_startWorker(ServiceWorker, "startWorker"),
    ServiceWorker_stopAllWorkers(ServiceWorker, "stopAllWorkers"),
    ServiceWorker_stopWorker(ServiceWorker, "stopWorker"),
    ServiceWorker_unregister(ServiceWorker, "unregister"),
    ServiceWorker_updateRegistration(ServiceWorker, "updateRegistration"),
    Storage_clearCookies(Storage, "clearCookies"),
    Storage_clearDataForOrigin(Storage, "clearDataForOrigin"),
    Storage_clearDataForStorageKey(Storage, "clearDataForStorageKey"),
    Storage_clearSharedStorageEntries(Storage, "clearSharedStorageEntries"),
    Storage_clearTrustTokens(Storage, "clearTrustTokens"),
    Storage_deleteSharedStorageEntry(Storage, "deleteSharedStorageEntry"),
    Storage_deleteStorageBucket(Storage, "deleteStorageBucket"),
    Storage_getAffectedUrlsForThirdPartyCookieMetadata(Storage, "getAffectedUrlsForThirdPartyCookieMetadata"),
    Storage_getCookies(Storage, "getCookies"),
    Storage_getRelatedWebsiteSets(Storage, "getRelatedWebsiteSets"),
    Storage_getSharedStorageEntries(Storage, "getSharedStorageEntries"),
    Storage_getSharedStorageMetadata(Storage, "getSharedStorageMetadata"),
    Storage_getStorageKeyForFrame(Storage, "getStorageKeyForFrame"),
    Storage_getTrustTokens(Storage, "getTrustTokens"),
    Storage_getUsageAndQuota(Storage, "getUsageAndQuota"),
    Storage_overrideQuotaForOrigin(Storage, "overrideQuotaForOrigin"),
    Storage_resetSharedStorageBudget(Storage, "resetSharedStorageBudget"),
    Storage_runBounceTrackingMitigations(Storage, "runBounceTrackingMitigations"),
    Storage_sendPendingAttributionReports(Storage, "sendPendingAttributionReports"),
    Storage_setAttributionReportingLocalTestingMode(Storage, "setAttributionReportingLocalTestingMode"),
    Storage_setAttributionReportingTracking(Storage, "setAttributionReportingTracking"),
    Storage_setCookies(Storage, "setCookies"),
    Storage_setInterestGroupAuctionTracking(Storage, "setInterestGroupAuctionTracking"),
    Storage_setInterestGroupTracking(Storage, "setInterestGroupTracking"),
    Storage_setSharedStorageEntry(Storage, "setSharedStorageEntry"),
    Storage_setSharedStorageTracking(Storage, "setSharedStorageTracking"),
    Storage_setStorageBucketTracking(Storage, "setStorageBucketTracking"),
    Storage_trackCacheStorageForOrigin(Storage, "trackCacheStorageForOrigin"),
    Storage_trackCacheStorageForStorageKey(Storage, "trackCacheStorageForStorageKey"),
    Storage_trackIndexedDBForOrigin(Storage, "trackIndexedDBForOrigin"),
    Storage_trackIndexedDBForStorageKey(Storage, "trackIndexedDBForStorageKey"),
    Storage_untrackCacheStorageForOrigin(Storage, "untrackCacheStorageForOrigin"),
    Storage_untrackCacheStorageForStorageKey(Storage, "untrackCacheStorageForStorageKey"),
    Storage_untrackIndexedDBForOrigin(Storage, "untrackIndexedDBForOrigin"),
    Storage_untrackIndexedDBForStorageKey(Storage, "untrackIndexedDBForStorageKey"),
    SystemInfo_getFeatureState(SystemInfo, "getFeatureState"),
    SystemInfo_getInfo(SystemInfo, "getInfo"),
    SystemInfo_getProcessInfo(SystemInfo, "getProcessInfo"),
    Target_activateTarget(Target, "activateTarget"),
    Target_attachToBrowserTarget(Target, "attachToBrowserTarget"),
    Target_attachToTarget(Target, "attachToTarget"),
    Target_autoAttachRelated(Target, "autoAttachRelated"),
    Target_closeTarget(Target, "closeTarget"),
    Target_createBrowserContext(Target, "createBrowserContext"),
    Target_createTarget(Target, "createTarget"),
    Target_detachFromTarget(Target, "detachFromTarget"),
    Target_disposeBrowserContext(Target, "disposeBrowserContext"),
    Target_exposeDevToolsProtocol(Target, "exposeDevToolsProtocol"),
    Target_getBrowserContexts(Target, "getBrowserContexts"),
    Target_getTargetInfo(Target, "getTargetInfo"),
    Target_getTargets(Target, "getTargets"),
    Target_sendMessageToTarget(Target, "sendMessageToTarget"),
    Target_setAutoAttach(Target, "setAutoAttach"),
    Target_setDiscoverTargets(Target, "setDiscoverTargets"),
    Target_setRemoteLocations(Target, "setRemoteLocations"),
    Tethering_bind(Tethering, "bind"),
    Tethering_unbind(Tethering, "unbind"),
    Tracing_end(Tracing, "end"),
    Tracing_getCategories(Tracing, "getCategories"),
    Tracing_recordClockSyncMarker(Tracing, "recordClockSyncMarker"),
    Tracing_requestMemoryDump(Tracing, "requestMemoryDump"),
    Tracing_start(Tracing, "start"),
    WebAudio_disable(WebAudio, "disable"),
    WebAudio_enable(WebAudio, "enable"),
    WebAudio_getRealtimeData(WebAudio, "getRealtimeData"),
    WebAuthn_addCredential(WebAuthn, "addCredential"),
    WebAuthn_addVirtualAuthenticator(WebAuthn, "addVirtualAuthenticator"),
    WebAuthn_clearCredentials(WebAuthn, "clearCredentials"),
    WebAuthn_disable(WebAuthn, "disable"),
    WebAuthn_enable(WebAuthn, "enable"),
    WebAuthn_getCredential(WebAuthn, "getCredential"),
    WebAuthn_getCredentials(WebAuthn, "getCredentials"),
    WebAuthn_removeCredential(WebAuthn, "removeCredential"),
    WebAuthn_removeVirtualAuthenticator(WebAuthn, "removeVirtualAuthenticator"),
    WebAuthn_setAutomaticPresenceSimulation(WebAuthn, "setAutomaticPresenceSimulation"),
    WebAuthn_setCredentialProperties(WebAuthn, "setCredentialProperties"),
    WebAuthn_setResponseOverrideBits(WebAuthn, "setResponseOverrideBits"),
    WebAuthn_setUserVerified(WebAuthn, "setUserVerified");

    public final Domain domain;

    public final String command;

    public final String method;

    DomainCommand(Domain domain, String command) {
        this.domain = domain;
        this.command = command;
        this.method = domain.name() + "." + command;
    }

    @Override
    public String toString() {
        return this.method;
    }
}
